> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create agent

> Create a new AI agent for the authenticated organization

Create a new AI agent for the authenticated organization

```http
POST https://api.weav.com/v1/agents
```

Requires a token with the `external-api:write` ability.

## Body

<ParamField body="name" type="string" required>
Maximum length: 255.
</ParamField>

<ParamField body="description" type="string | null">

</ParamField>

<ParamField body="avatar_url" type="string | null">
Format: `url`.
</ParamField>

<ParamField body="max_messages_per_session" type="integer | null">
Minimum: 1.

Maximum: 1000.
</ParamField>

<ParamField body="tone" type="string | null">
Maximum length: 255.
</ParamField>

<ParamField body="response_length" type="string | null">
Maximum length: 255.
</ParamField>

<ParamField body="is_active" type="boolean | null">

</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request POST \
  --url 'https://api.weav.com/v1/agents' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Agent",
  "description": "Helps customers with support queries",
  "avatar_url": "https://example.com/avatar.png",
  "max_messages_per_session": 50,
  "tone": "professional",
  "response_length": "standard",
  "is_active": true
}'
```

```js JavaScript
const body = {
  "name": "Agent",
  "description": "Helps customers with support queries",
  "avatar_url": "https://example.com/avatar.png",
  "max_messages_per_session": 50,
  "tone": "professional",
  "response_length": "standard",
  "is_active": true
};
const response = await fetch("https://api.weav.com/v1/agents", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"name": "Agent", "description": "Helps customers with support queries", "avatar_url": "https://example.com/avatar.png", "max_messages_per_session": 50, "tone": "professional", "response_length": "standard", "is_active": True}
response = requests.post("https://api.weav.com/v1/agents", headers=headers, json=body)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/agents', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'name' => 'Agent',
  'description' => 'Helps customers with support queries',
  'avatar_url' => 'https://example.com/avatar.png',
  'max_messages_per_session' => 50,
  'tone' => 'professional',
  'response_length' => 'standard',
  'is_active' => true,
),
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 201 Created
{
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Agent",
    "slug": "agent",
    "description": "Helps customers with support queries",
    "avatar_url": "https://example.com/avatar.png",
    "max_messages_per_session": 50,
    "tone": "professional",
    "response_length": "standard",
    "is_active": true,
    "is_copilot": false,
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
```

</CodeGroup>

- `400` Bad Request
- `401` Unauthorized

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="name" type="string">

</ParamField>

<ParamField body="slug" type="string">

</ParamField>

<ParamField body="description" type="string | null">

</ParamField>

<ParamField body="avatar_url" type="string | null">
Format: `url`.
</ParamField>

<ParamField body="max_messages_per_session" type="integer | null">

</ParamField>

<ParamField body="tone" type="string | null">

</ParamField>

<ParamField body="response_length" type="string | null">

</ParamField>

<ParamField body="is_active" type="boolean">

</ParamField>

<ParamField body="is_copilot" type="boolean">

</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
